IntlDateFormatter::formatObject
IntlDateFormatter::getDateType
IntlDateFormatter
PHP Manual

# IntlDateFormatter::getCalendar

# datefmt_get_calendar

Get the calendar type used for the IntlDateFormatter

### Description

Object oriented style

int IntlDateFormatter::getCalendar ( void )

Procedural style

int datefmt_get_calendar ( IntlDateFormatter `$fmt` )

### Parameters

`fmt`

  The formatter resource

### Return Values

The calendar type being used by the formatter. Either `IntlDateFormatter::TRADITIONAL` or `IntlDateFormatter::GREGORIAN`.

### Examples

Example #1 datefmt_get_calendar example

`<?php
$fmt = datefmt_create(
'en_US',
IntlDateFormatter::FULL,
IntlDateFormatter::FULL,
'America/Los_Angeles',
IntlDateFormatter::GREGORIAN
);
echo 'calendar of the formatter is : ' . datefmt_get_calendar($fmt);
datefmt_set_calendar($fmt, IntlDateFormatter::TRADITIONAL);
echo 'Now calendar of the formatter is : ' . datefmt_get_calendar($fmt);
?>`

Example #2 OO example

`<?php
$fmt = new IntlDateFormatter(
'en_US',
IntlDateFormatter::FULL,
IntlDateFormatter::FULL,
'America/Los_Angeles',
IntlDateFormatter::GREGORIAN
);
echo 'calendar of the formatter is : ' . $fmt->getCalendar();
$fmt->setCalendar(IntlDateFormatter::TRADITIONAL);
echo 'Now calendar of the formatter is : ' . $fmt->getCalendar();
?>`

The above example will output:

    calendar of the formatter is : 1
    Now calendar of the formatter is : 0

### See Also

- datefmt_get_calendar_object
- datefmt_set_calendar
- datefmt_create